package com.mx.dla.dda.contrato.generales.daos;

import java.util.List;

import org.apache.ibatis.annotations.Param;

import com.mx.dla.dda.contrato.titulo.dtos.TituloBroadView;

public interface TitulosBroadViewDAO {

	public List<TituloBroadView> buscarTitulosBroadView(@Param("contratoDda") Long contratoDda);
	
	public void insertaTitulosBroadView(@Param("contratoBv") Long contratoBv,
			@Param("contratoDda") Long contratoDda);
	
	public void actualizaTitulosBroadView(@Param("contratoDda") Long contratoDda);
	
	public List<TituloBroadView> buscarTitulosBroadViewTransac(@Param("contratoDda") Long contratoDda);
	
	public void insertaTitulosBroadViewTransac(@Param("contratoBv") Long contratoBv,
			@Param("contratoDda") Long contratoDda);
	
	public void actualizaTitulosBroadViewTransac(@Param("contratoDda") Long contratoDda);

}
